package com.lightinit.hsdataplatform.json.pojo.actviemq;

import jdk.nashorn.internal.ir.annotations.Ignore;
import org.codehaus.jackson.annotate.JsonProperty;

import java.util.Map;

/**
 * Created by Mr.Yao on 2018/1/2.
 */
public class RequestValueEntity {
    @Ignore
    @JsonProperty("JMSMessageID")
    private String JMSMessageID;
    @Ignore
    @JsonProperty("JMSRedelivered")
    private boolean JMSRedelivered;
    @Ignore
    @JsonProperty("ShortProperties")
    private Map<String,Short> ShortProperties;
    @Ignore
    @JsonProperty("JMSDeliveryMode")
    private String JMSDeliveryMode;
    @Ignore
    @JsonProperty("ByteProperties")
    private Map<String,Byte> ByteProperties;
    @Ignore
    @JsonProperty("LongProperties")
    private Map<String,Long> LongProperties;
    @Ignore
    @JsonProperty("IntProperties")
    private Map<String,Integer> IntProperties;
    @Ignore
    @JsonProperty("JMSXGroupID")
    private String JMSXGroupID;
    @Ignore
    @JsonProperty("JMSCorrelationID")
    private String JMSCorrelationID;
    @Ignore
    @JsonProperty("PropertiesText")
    private String PropertiesText;
    @Ignore
    @JsonProperty("JMSType")
    private String JMSType;
    @Ignore
    @JsonProperty("JMSExpiration")
    private int JMSExpiration;
    @Ignore
    @JsonProperty("OriginalDestination")
    private String OriginalDestination;
    @Ignore
    @JsonProperty("JMSTimestamp")
    private String JMSTimestamp;
    @Ignore
    @JsonProperty("JMSXUserID")
    private String JMSXUserID;
    @Ignore
    @JsonProperty("JMSXGroupSeq")
    private int JMSXGroupSeq;
    @Ignore
    @JsonProperty("Text")
    private String Text;
    @Ignore
    @JsonProperty("JMSPriority")
    private int JMSPriority;
    @Ignore
    @JsonProperty("JMSReplyTo")
    private String JMSReplyTo;
    @Ignore
    @JsonProperty("JMSDestination")
    private String JMSDestination;
    @Ignore
    @JsonProperty("StringProperties")
    private Map<String,String> StringProperties;
    @Ignore
    @JsonProperty("BrokerPath")
    private String BrokerPath;
    @Ignore
    @JsonProperty("DoubleProperties")
    private Map<String,Double> DoubleProperties;
    @Ignore
    @JsonProperty("BooleanProperties")
    private Map<String,Boolean> BooleanProperties;
    @Ignore
    @JsonProperty("FloatProperties")
    private Map<String,Float> FloatProperties;

    public String getJMSMessageID() {
        return JMSMessageID;
    }

    public void setJMSMessageID(String JMSMessageID) {
        this.JMSMessageID = JMSMessageID;
    }

    public boolean isJMSRedelivered() {
        return JMSRedelivered;
    }

    public void setJMSRedelivered(boolean JMSRedelivered) {
        this.JMSRedelivered = JMSRedelivered;
    }

    public Map<String, Short> getShortProperties() {
        return ShortProperties;
    }

    public void setShortProperties(Map<String, Short> shortProperties) {
        ShortProperties = shortProperties;
    }

    public String getJMSDeliveryMode() {
        return JMSDeliveryMode;
    }

    public void setJMSDeliveryMode(String JMSDeliveryMode) {
        this.JMSDeliveryMode = JMSDeliveryMode;
    }

    public Map<String, Byte> getByteProperties() {
        return ByteProperties;
    }

    public void setByteProperties(Map<String, Byte> byteProperties) {
        ByteProperties = byteProperties;
    }

    public Map<String, Long> getLongProperties() {
        return LongProperties;
    }

    public void setLongProperties(Map<String, Long> longProperties) {
        LongProperties = longProperties;
    }

    public Map<String, Integer> getIntProperties() {
        return IntProperties;
    }

    public void setIntProperties(Map<String, Integer> intProperties) {
        IntProperties = intProperties;
    }

    public String getJMSXGroupID() {
        return JMSXGroupID;
    }

    public void setJMSXGroupID(String JMSXGroupID) {
        this.JMSXGroupID = JMSXGroupID;
    }

    public String getJMSCorrelationID() {
        return JMSCorrelationID;
    }

    public void setJMSCorrelationID(String JMSCorrelationID) {
        this.JMSCorrelationID = JMSCorrelationID;
    }

    public String getPropertiesText() {
        return PropertiesText;
    }

    public void setPropertiesText(String propertiesText) {
        PropertiesText = propertiesText;
    }

    public String getJMSType() {
        return JMSType;
    }

    public void setJMSType(String JMSType) {
        this.JMSType = JMSType;
    }

    public int getJMSExpiration() {
        return JMSExpiration;
    }

    public void setJMSExpiration(int JMSExpiration) {
        this.JMSExpiration = JMSExpiration;
    }

    public String getOriginalDestination() {
        return OriginalDestination;
    }

    public void setOriginalDestination(String originalDestination) {
        OriginalDestination = originalDestination;
    }

    public String getJMSTimestamp() {
        return JMSTimestamp;
    }

    public void setJMSTimestamp(String JMSTimestamp) {
        this.JMSTimestamp = JMSTimestamp;
    }

    public String getJMSXUserID() {
        return JMSXUserID;
    }

    public void setJMSXUserID(String JMSXUserID) {
        this.JMSXUserID = JMSXUserID;
    }

    public int getJMSXGroupSeq() {
        return JMSXGroupSeq;
    }

    public void setJMSXGroupSeq(int JMSXGroupSeq) {
        this.JMSXGroupSeq = JMSXGroupSeq;
    }

    public String getText() {
        return Text;
    }

    public void setText(String text) {
        Text = text;
    }

    public int getJMSPriority() {
        return JMSPriority;
    }

    public void setJMSPriority(int JMSPriority) {
        this.JMSPriority = JMSPriority;
    }

    public String getJMSReplyTo() {
        return JMSReplyTo;
    }

    public void setJMSReplyTo(String JMSReplyTo) {
        this.JMSReplyTo = JMSReplyTo;
    }

    public String getJMSDestination() {
        return JMSDestination;
    }

    public void setJMSDestination(String JMSDestination) {
        this.JMSDestination = JMSDestination;
    }

    public Map<String, String> getStringProperties() {
        return StringProperties;
    }

    public void setStringProperties(Map<String, String> stringProperties) {
        StringProperties = stringProperties;
    }

    public String getBrokerPath() {
        return BrokerPath;
    }

    public void setBrokerPath(String brokerPath) {
        BrokerPath = brokerPath;
    }

    public Map<String, Double> getDoubleProperties() {
        return DoubleProperties;
    }

    public void setDoubleProperties(Map<String, Double> doubleProperties) {
        DoubleProperties = doubleProperties;
    }

    public Map<String, Boolean> getBooleanProperties() {
        return BooleanProperties;
    }

    public void setBooleanProperties(Map<String, Boolean> booleanProperties) {
        BooleanProperties = booleanProperties;
    }

    public Map<String, Float> getFloatProperties() {
        return FloatProperties;
    }

    public void setFloatProperties(Map<String, Float> floatProperties) {
        FloatProperties = floatProperties;
    }
}
